# Searches for merchandise using predefined parameters Searches for merchandise using predefined parameters Endpoint: POST /merchandise/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `category_id` (array) - `id` (array) - `member_price` (array) - `price` (array) - `track_inventory` (boolean) - `weight` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.allow_back_orders` (boolean) If this product is inventoried, whether or not inventories are allowed - `Items.allow_customer_to_choose_installment_plan` (boolean) - `Items.category_ids` (array) The categories that this merchandise is in - `Items.enable_bulk_pricing` (boolean) Whether or not bulk pricing is enabled - `Items.enable_cancellation_fees` (boolean) - `Items.enable_modifier_options` (boolean) When sent, customers can change products with customization modifiers - `Items.enable_purchasing_eligibility` (boolean) - `Items.enable_restocking_fees` (boolean) Whether or not restocking fees are enabled - `Items.enable_variant_options` (boolean) When sent, customers can change products with variant options - `Items.is_active` (boolean) - `Items.member_price` (number) - `Items.new_until` (string) The date/time until which this merchandise is new - `Items.price` (number) - `Items.publish_to_portal` (boolean) - `Items.shippable` (boolean) Whether or not this product is eligible for shipping charges - `Items.track_inventory` (boolean) - `Items.track_inventory_by` (string) Enum: "product", "sku" - `Items.weight` (number) The weight of the product - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields